lfdiff(1)

NAME
lfdiff - compare local files with copies on radmind server

SYNOPSIS
lfdiff [ -IrvV ] [ -T transcript | -S ] [ -h host ] [ -p port ] [ -P ca-pem-directory ] [ -u umask ] [ -w auth-level ] [ -x ca-pem-file ] [ -y cert-pem-file ] [ -z private-key-file ] [ -Z compression-level ] [ supported diff options ] [ -X unsupported diff options ] file

DESCRIPTION
lfdiff retrieves file, given as an unencoded path, from the radmind server host and writes it to /tmp. file is then compared to the local copy of file using diff(1). The server copy and the local copy of file are passed to diff(1) as file1 and file2 arguments respectively. file is removed from /tmp on exit. lfdiff supports all single letter diff(1) options not duplicated in lfdiff. All other diff(1) options are given using the -X option.

OPTIONS

-I  compare paths case-insensitively

-h host
    specifies the radmind server, by default radmind.

-p port
    specifies the port of the radmind server, by default 6222.

-P ca-pem-directory
    specifies a directory that contains certificates to be used when verifying the server. Certificates must be in PEM format and the directory must have been processed with the openssl c_rehash utility.

-r  use random seed file $RANDFILE if that environment variable is set, $HOME/.rnd otherwise. See RAND_load_file(3o).

-S  file is a special file.

-T transcript
    transcript that file is listed in.

-u umask
    specifies the umask for temporary files, by default 0077

-V  displays the version of lfdiff and exits.

-v  display communication with the radmind server.

-X unsupported diff options
    passes options directly to diff(1).

-w auth-level
    TLS authorization level, by default 0. 0 = no TLS, 1 = server verification, 2 = server and client verification.

-x ca-pem-file
    Certificate authority's public certificate, by default /var/radmind/cert/ca.pem.

-y cert-pem-file
    Client's public certificate, by default /var/radmind/cert/cert.pem. The default is not used when -P is specified.

-z private-key-file
    Client's private key, by default /var/radmind/cert/cert.pem.

-Z compression-level
    Compress all outbound data. compression-level can be between 0 and 9: 1 gives best speed, 9 gives best compression, 0 gives no compression at all (the input data is simply copied a block at a time).

EXIT STATUS
The following exit values are returned:

0   No differences were found.

1   Differences were found.

>1  An error occurred.

SEE ALSO
diff(1), fsdiff(1), ktcheck(1), lapply(1), lcksum(1), lcreate(1), lmerge(1), lsort(1), twhich(1), radmind(8), RAND_load_file(3o).